The Spring Framework

## org.springframework.instrument.classloading.weblogic
Class WebLogicLoadTimeWeaver

    java.lang.Object
      org.springframework.instrument.classloading.weblogic.WebLogicLoadTimeWeaver

All Implemented Interfaces:
  LoadTimeWeaver

    public class WebLogicLoadTimeWeaver

extends Object
implements LoadTimeWeaver

`LoadTimeWeaver` implementation for WebLogic's instrumentable ClassLoader.

NOTE: Requires BEA WebLogic version 10 or higher.

Since:
  2.5
Author:
  Costin Leau, Juergen Hoeller

Constructor Summary
`WebLogicLoadTimeWeaver()` Creates a new instance of the `WebLogicLoadTimeWeaver` class using the default `class loader`.
`WebLogicLoadTimeWeaver(ClassLoader classLoader)` Creates a new instance of the `WebLogicLoadTimeWeaver` class using the supplied `ClassLoader`.

Method Summary
`void` `addTransformer(ClassFileTransformer transformer)` Add a `ClassFileTransformer` to be applied by this `LoadTimeWeaver`.
`ClassLoader` `getInstrumentableClassLoader()` Return a `ClassLoader` that supports instrumentation through AspectJ-style load-time weaving based on user-defined `ClassFileTransformers`.
`ClassLoader` `getThrowawayClassLoader()` Return a throwaway `ClassLoader`, enabling classes to be loaded and inspected without affecting the parent `ClassLoader`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebLogicLoadTimeWeaver

    public WebLogicLoadTimeWeaver()

  Creates a new instance of the `WebLogicLoadTimeWeaver` class using the default `class loader`.

  See Also:
    `ClassUtils.getDefaultClassLoader()`

### WebLogicLoadTimeWeaver

    public WebLogicLoadTimeWeaver(ClassLoader classLoader)

  Creates a new instance of the `WebLogicLoadTimeWeaver` class using the supplied `ClassLoader`.

  Parameters:
    `classLoader` - the `ClassLoader` to delegate to for weaving (must not be `null`)

Method Detail

### addTransformer

    public void addTransformer(ClassFileTransformer transformer)

  Description copied from interface: `LoadTimeWeaver`
  Add a `ClassFileTransformer` to be applied by this `LoadTimeWeaver`.

  Specified by:
    `addTransformer` in interface `LoadTimeWeaver`
  Parameters:
    `transformer` - the `ClassFileTransformer` to add

### getInstrumentableClassLoader

    public ClassLoader getInstrumentableClassLoader()

  Description copied from interface: `LoadTimeWeaver`
  Return a `ClassLoader` that supports instrumentation through AspectJ-style load-time weaving based on user-defined `ClassFileTransformers`.

  May be the current `ClassLoader`, or a `ClassLoader` created by this `LoadTimeWeaver` instance.

  Specified by:
    `getInstrumentableClassLoader` in interface `LoadTimeWeaver`
  Returns:
    the `ClassLoader` which will expose instrumented classes according to the registered transformers

### getThrowawayClassLoader

    public ClassLoader getThrowawayClassLoader()

  Description copied from interface: `LoadTimeWeaver`
  Return a throwaway `ClassLoader`, enabling classes to be loaded and inspected without affecting the parent `ClassLoader`.

  Should not return the same instance of the `ClassLoader` returned from an invocation of `LoadTimeWeaver.getInstrumentableClassLoader()`.

  Specified by:
    `getThrowawayClassLoader` in interface `LoadTimeWeaver`
  Returns:
    a temporary throwaway `ClassLoader`; should return a new instance for each call, with no existing state

The Spring Framework

Copyright © 2002-2008 The Spring Framework.